# "React Redux Toolkit for Beginners"

### ~~7~~ 8 Chapters

---

### Author Links

👋 Hello, I'm Dave Gray.

✅ [Check out my YouTube Channel with all of my tutorials](https://www.youtube.com/DaveGrayTeachesCode).

🚩 [Subscribe to my channel](https://bit.ly/3nGHmNn)

☕ [Buy Me A Coffee](https://buymeacoffee.com/DaveGray)

📬 [Course Updates](https://bit.ly/3q2FKjt)

🚀 [Discord](https://discord.gg/neKghyefqh)


👇 Follow Me:
- [Twitter](https://twitter.com/yesdavidgray)
- [LinkedIn](https://www.linkedin.com/in/davidagray/)
- [Blog](https://yesdavidgray.com)
- [Reddit](https://www.reddit.com/user/DaveOnEleven)

---

### Description

📺 [YouTube Playlist](https://www.youtube.com/playlist?list=PL0Zuz27SZ-6M1J5I1w2-uZx36Qp6qhjKo) for this repository.

🚀 This repository shares ALL of the resources referenced during the React Redux Toolkit tutorial series.

✨ Based on the ["Redux Essentials" tutorial](https://redux.js.org/tutorials/essentials/part-1-overview-concepts) in the official Redux Toolkit docs by Mark Erikson with some project additions and modifications along the way. 

---

### 🎓 Academic Honesty

**DO NOT COPY FOR AN ASSIGNMENT** - Avoid plagiarism and adhere to the spirit of this [Academic Honesty Policy](https://www.freecodecamp.org/news/academic-honesty-policy/).

---

### 📚 Redux References

- 🔗 [Official Site for Redux Toolkit](https://redux-toolkit.js.org/)
- 🔗 [Redux Devtools](https://github.com/reduxjs/redux-devtools)
- 🔗 [Immer.js](https://immerjs.github.io/immer/)

### 📚 React Router References
- 🔗 [Official Site for React Router](https://reactrouter.com/docs/en/v6)
- 🔗 [React Router v6 Tutorial](https://github.com/gitdagray/react_router_v6)

### ⚙ VS Code Extensions I Use:

- 🔗 [ES7 React JS Snippets Extension](https://marketplace.visualstudio.com/items?itemName=dsznajder.es7-react-js-snippets)
- 🔗 [vscode-icons VS Code Extension](https://marketplace.visualstudio.com/items?itemName=vscode-icons-team.vscode-icons)
- 🔗 [Github Themes VS Code Extension](https://marketplace.visualstudio.com/items?itemName=GitHub.github-vscode-theme)

---

### 💻 Source Code

- 🔗 [Chapter 1 - Intro to Redux](https://github.com/gitdagray/react_redux_toolkit/tree/main/01_lesson)
- 🔗 [Chapter 2 Starter Code - Example Project](https://github.com/gitdagray/react_redux_toolkit/tree/main/02_lesson_starter)
- 🔗 [Chapter 2 Completed Code - Example Project](https://github.com/gitdagray/react_redux_toolkit/tree/main/02_lesson)
- 🔗 [Chapter 3 Starter Code - Async Thunks](https://github.com/gitdagray/react_redux_toolkit/tree/main/03_lesson_starter)
- 🔗 [Chapter 3 Completed Code - Async Thunks](https://github.com/gitdagray/react_redux_toolkit/tree/main/03_lesson)
- 🔗 [Chapter 4 Starter Code - Blog Project](https://github.com/gitdagray/react_redux_toolkit/tree/main/04_lesson_starter)
- 🔗 [Chapter 4 Completed Code - Blog Project](https://github.com/gitdagray/react_redux_toolkit/tree/main/04_lesson)
- 🔗 [Chapter 5 Starter Code - Performance](https://github.com/gitdagray/react_redux_toolkit/tree/main/05_lesson_starter)
- 🔗 [Chapter 5 Completed Code - Performance](https://github.com/gitdagray/react_redux_toolkit/tree/main/05_lesson)
- 🔗 [Chapter 6 Starter Code - RTK Query](https://github.com/gitdagray/react_redux_toolkit/tree/main/06_lesson_starter)
- 🔗 [Chapter 6 Completed Code - RTK Query](https://github.com/gitdagray/react_redux_toolkit/tree/main/06_lesson)
- 🔗 [Chapter 7 Starter Code - Advanced Redux Blog](https://github.com/gitdagray/react_redux_toolkit/tree/main/07_lesson_starter)
- 🔗 [Chapter 7 Completed Code - Advanced Redux Blog](https://github.com/gitdagray/react_redux_toolkit/tree/main/07_lesson)
  
🚩🚩🚩
- 🔗 [Chapter 8 - Blog Project with full RTK Query Refactor](https://github.com/gitdagray/react_redux_toolkit/tree/main/08_lesson)
